/* 
 * Copyright (c) 2008 Jesper Karlsson & David Gustafsson
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __XFBIB_FILE_IO_H
#define __XFBIB_FILE_IO_H

#include <glib-object.h>

G_BEGIN_DECLS

gchar *xfbib_file_io_open(gchar *);
gboolean xfbib_file_io_save(gchar *);
gboolean xfbib_file_io_save_as(void);
gchar *xfbib_file_io_escape_commands(gchar *);

G_END_DECLS

#endif //__XFBIB_FILE_IO_H
